LazyColumnIterator (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db.columniterator

## Class LazyColumnIterator

- java.lang.Object
- - com.google.common.collect.UnmodifiableIterator<T>
  - - com.google.common.collect.AbstractIterator<OnDiskAtom>
    - - org.apache.cassandra.db.columniterator.LazyColumnIterator

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.util.Iterator<OnDiskAtom>, OnDiskAtomIterator, CloseableIterator<OnDiskAtom>

      public class LazyColumnIterator
      extends com.google.common.collect.AbstractIterator<OnDiskAtom>
      implements OnDiskAtomIterator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyColumnIterator(DecoratedKey key, IColumnIteratorFactory subIteratorFactory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` clean up any open resources
    `protected OnDiskAtom` | `computeNext()`
    `ColumnFamily` | `getColumnFamily()`
    `DecoratedKey` | `getKey()`

    - ### Methods inherited from class com.google.common.collect.AbstractIterator

      `endOfData, hasNext, next, peek`

    - ### Methods inherited from class com.google.common.collect.UnmodifiableIterator

      `remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next, remove`

- - ### Constructor Detail

    - #### LazyColumnIterator

          public LazyColumnIterator(DecoratedKey key,
                                    IColumnIteratorFactory subIteratorFactory)

  - ### Method Detail

    - #### computeNext

          protected OnDiskAtom computeNext()

      Specified by:
        `computeNext` in class `com.google.common.collect.AbstractIterator<OnDiskAtom>`

    - #### getColumnFamily

          public ColumnFamily getColumnFamily()

      Specified by:
        `getColumnFamily` in interface `OnDiskAtomIterator`
      Returns:
        A ColumnFamily holding metadata for the row being iterated. Do not modify this CF. Whether it is empty or not is implementation-dependent.

    - #### getKey

          public DecoratedKey getKey()

      Specified by:
        `getKey` in interface `OnDiskAtomIterator`
      Returns:
        the current row key

    - #### close

          public void close()
                     throws java.io.IOException

      Description copied from interface: `OnDiskAtomIterator`
      clean up any open resources
      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `OnDiskAtomIterator`
      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation